Skip to content

Widget Chat with User Profile

POST
/widget/chat/{chatbotId}/user/{externalUserId}

Chat using an external user ID (creates profile on first use)

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

chatbotId*
Type
string
Required
externalUserId*
Type
string
Required

Request Body

application/json
JSON
{
  
"message": "string",
  
"conversationId": "string",
  
"birthData": {
  
  
"date": "string",
  
  
"time": "string",
  
  
"latitude": 0,
  
  
"longitude": 0,
  
  
"placeName": "string",
  
  
"timezone": "string"
  
}
}

Responses

SSE stream with chat response

text/event-stream
JSON
[
]

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation